com.tibco.tibems.ufo

## Class TibjmsUFOTopic

- java.lang.Object
- - TibjmsUFODestination
  - - com.tibco.tibems.ufo.TibjmsUFOTopic

- All Implemented Interfaces:
    java.lang.Cloneable, Destination, Topic

      public class TibjmsUFOTopic
      extends TibjmsUFODestination
      implements Topic, java.lang.Cloneable

  Implementation of javax.jms.Topic which can be used for administrative purposes.
  Normally JMS applications lookup Topic objects via JNDI calls. This class can be used by the administrator application if it is required to store TibjmsUFOTopic objects in the 3rd party JNDI store such as LDAP or similar.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TibjmsUFOTopic()` Constructs a new TibjmsUFOTopic object.
    `TibjmsUFOTopic(java.lang.String address)` Constructs a new TibjmsUFOTopic object with the given address.
    `TibjmsUFOTopic(java.lang.String address, java.lang.String jndiName)` Internal constructor.
    `TibjmsUFOTopic(TibjmsTopic topic)` Constructs a new TibjmsUFOTopic object with the given TibjmsTopic object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.String` | `getAddress()` Gets the address of this topic.
    `java.lang.String` | `getTopicName()` Gets the name of this topic.
    `void` | `setAddress(java.lang.String address)` Sets the address of this topic.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Topic

      `toString`

- - ### Constructor Detail

    - #### TibjmsUFOTopic

          public TibjmsUFOTopic()

      Constructs a new TibjmsUFOTopic object.

    - #### TibjmsUFOTopic

          public TibjmsUFOTopic(java.lang.String address)

      Constructs a new TibjmsUFOTopic object with the given address.
      Parameters:
        `address` - address of the topic

    - #### TibjmsUFOTopic

          public TibjmsUFOTopic(java.lang.String address,
                                java.lang.String jndiName)

      Internal constructor.

    - #### TibjmsUFOTopic

          public TibjmsUFOTopic(TibjmsTopic topic)

      Constructs a new TibjmsUFOTopic object with the given TibjmsTopic object.
      Parameters:
        `topic` - object of TibjmsTopic

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Throws:
        `java.lang.CloneNotSupportedException`

    - #### getTopicName

          public java.lang.String getTopicName()
                                        throws JMSException

      Description copied from interface: `Topic`
      Gets the name of this topic.

      Clients that depend upon the name are not portable.

      Specified by:
        `getTopicName` in interface `Topic`
      Returns:
        the topic name
      Throws:
        `JMSException` - if the JMS provider implementation of `Topic` fails to return the topic name due to some internal error.

    - #### getAddress

          public java.lang.String getAddress()

      Gets the address of this topic. Address and name are synonyms.
      Returns:
        the topic's address

    - #### setAddress

          public void setAddress(java.lang.String address)
                          throws JMSException

      Sets the address of this topic. Address and name are synonyms.
      Example:
      `TibjmsUFOTopic topic = new TibjmsUFOTopic();
      topic.setAddress("topic.sample");`
      Parameters:
        `address` - the string representing the address, or name, of this topic
      Throws:
        `JMSException` - if the address has already been set

Copyright © Cloud Software Group, Inc. All rights reserved